com.amazonaws.services.cloudfront.model

## Class ActiveTrustedSigners

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.ActiveTrustedSigners

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActiveTrustedSigners
    extends Object
    implements Serializable, Cloneable

A complex type that lists the AWS accounts, if any, that you included in the `TrustedSigners` complex type for this distribution. These are the accounts that you want to allow to create signed URLs for private content.

The `Signer` complex type lists the AWS account number of the trusted signer or `self` if the signer is the AWS account that created the distribution. The `Signer` element also includes the IDs of any active CloudFront key pairs that are associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create signed URLs.

For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActiveTrustedSigners()` Default constructor for ActiveTrustedSigners object.
`ActiveTrustedSigners(List<Signer> items)` Constructs a new ActiveTrustedSigners object.

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveTrustedSigners` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getEnabled()` Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs.
`List<Signer>` `getItems()` A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.
`Integer` `getQuantity()` A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.
`int` `hashCode()`
`Boolean` `isEnabled()` Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs.
`void` `setEnabled(Boolean enabled)` Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs.
`void` `setItems(Collection<Signer> items)` A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.
`void` `setQuantity(Integer quantity)` A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActiveTrustedSigners` `withEnabled(Boolean enabled)` Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs.
`ActiveTrustedSigners` `withItems(Collection<Signer> items)` A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.
`ActiveTrustedSigners` `withItems(Signer... items)` A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.
`ActiveTrustedSigners` `withQuantity(Integer quantity)` A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActiveTrustedSigners

    public ActiveTrustedSigners()

Default constructor for ActiveTrustedSigners object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### ActiveTrustedSigners

    public ActiveTrustedSigners(List<Signer> items)

Constructs a new ActiveTrustedSigners object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `items` - A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

  For more information, see ActiveTrustedSigners.

### Method Detail

#### setEnabled

    public void setEnabled(Boolean enabled)

Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs. If not, `Enabled` is `false`.

For more information, see ActiveTrustedSigners.

Parameters:
  `enabled` - Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs. If not, `Enabled` is `false`.

  For more information, see ActiveTrustedSigners.

#### getEnabled

    public Boolean getEnabled()

Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs. If not, `Enabled` is `false`.

For more information, see ActiveTrustedSigners.

Returns:
  Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs. If not, `Enabled` is `false`.

  For more information, see ActiveTrustedSigners.

#### withEnabled

    public ActiveTrustedSigners withEnabled(Boolean enabled)

Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs. If not, `Enabled` is `false`.

For more information, see ActiveTrustedSigners.

Parameters:
  `enabled` - Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs. If not, `Enabled` is `false`.

  For more information, see ActiveTrustedSigners.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs. If not, `Enabled` is `false`.

For more information, see ActiveTrustedSigners.

Returns:
  Enabled is `true` if any of the AWS accounts listed in the `TrustedSigners` complex type for this RTMP distribution have active CloudFront key pairs. If not, `Enabled` is `false`.

  For more information, see ActiveTrustedSigners.

#### setQuantity

    public void setQuantity(Integer quantity)

A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.

For more information, see ActiveTrustedSigners.

Parameters:
  `quantity` - A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.

  For more information, see ActiveTrustedSigners.

#### getQuantity

    public Integer getQuantity()

A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.

For more information, see ActiveTrustedSigners.

Returns:
  A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.

  For more information, see ActiveTrustedSigners.

#### withQuantity

    public ActiveTrustedSigners withQuantity(Integer quantity)

A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.

For more information, see ActiveTrustedSigners.

Parameters:
  `quantity` - A complex type that contains one `Signer` complex type for each trusted signer specified in the `TrustedSigners` complex type.

  For more information, see ActiveTrustedSigners.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getItems

    public List<Signer> getItems()

A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

For more information, see ActiveTrustedSigners.

Returns:
  A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

  For more information, see ActiveTrustedSigners.

#### setItems

    public void setItems(Collection<Signer> items)

A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

For more information, see ActiveTrustedSigners.

Parameters:
  `items` - A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

  For more information, see ActiveTrustedSigners.

#### withItems

    public ActiveTrustedSigners withItems(Signer... items)

A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

For more information, see ActiveTrustedSigners.

NOTE: This method appends the values to the existing list (if any). Use `setItems(java.util.Collection)` or `withItems(java.util.Collection)` if you want to override the existing values.

Parameters:
  `items` - A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

  For more information, see ActiveTrustedSigners.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withItems

    public ActiveTrustedSigners withItems(Collection<Signer> items)

A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

For more information, see ActiveTrustedSigners.

Parameters:
  `items` - A complex type that contains one `Signer` complex type for each trusted signer that is specified in the `TrustedSigners` complex type.

  For more information, see ActiveTrustedSigners.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActiveTrustedSigners clone()

Overrides:
  `clone` in class `Object`